### Method

# Gio IOSchedulerJob send_to_mainloop

deprecated: 2.36

#### Declaration [src]

    gboolean
    g_io_scheduler_job_send_to_mainloop (
      GIOSchedulerJob* job,
      GSourceFunc func,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Used from an I/O job to send a callback to be run in the thread that the job was started from, waiting for the result (and thus blocking the I/O job).

Deprecated since: 2.36

Use g_main_context_invoke().

#### Parameters

`func`

  Type: `GSourceFunc`

  A `GSourceFunc` callback that will be called in the original thread.

`user_data`

  Type: `gpointer`

  Data to pass to `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  A `GDestroyNotify` for `user_data`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `gboolean`

The return value of `func`.